This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 863644 - Firefox idle cpu usage very high (>50%)
Firefox idle cpu usage very high (>50%)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 05:32 EDT by Jonas Thiem
Modified: 2013-07-31 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:13:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2012-10-06 05:32:19 EDT
Description of problem:
When opening a few tabs in firefox and then not touching it at all for hours, its idle cpu usage will constantly stay about 50% (i3 processor). This is a problem for laptop users.

Version-Release number of selected component (if applicable):
15.0.1/x86_64/1.fc17

How reproducible:
Always

Steps to Reproduce:
1. Browse for a few minutes, opening 10+ tabs
2. Leave firefox as it is and don't touch it again
3. Open a terminal, run "top" and take a look at the firefox process
  
Actual results:
Firefox memory usage is nicely low, but CPU usage is constantly >50%. Laptop fan is making noticeable constant noice. As soon as I close firefox, the fan goes instantly slower.

Expected results:
When not touched for a while, firefox won't use much CPU and will not cause the laptop fan to spin fast constantly, indicating a large battery drain while doing nothing.

Additional info:
Comment 1 Jan Horak 2012-10-08 04:59:07 EDT
What kind of pages are in opened tabs? Do they use flash? Are they javascript application like gmail? 

Try close one tab at a time and check CPU usage to determine which tab is making CPU busy and let us know. Thanks.
Comment 2 Jonas Thiem 2012-10-08 16:08:02 EDT
I wasn't viewing any media pages, and if I recall correctly, flash was even disabled (but I might be wrong on that). Also due to the firefox architecture, shouldn't flash purely affect the plugin-container process?

GMail actually does raise cpu usage a few percent, but not much by itself. (Still, it goes up to 12% idle with no window focus, and without gmail open it will be around 0.5%, so javascript pages might be related)

When I ran into >50% cpu usage, I once closed *ALL TABS* so I only had a blank page (about:blank) tab open, and CPU usage was still above 50%. After reopening firefox, it went down to <5% again. However, so far I was unable to reproduce that most gross incarnation of excessive cpu usage.

In overall, it seems to be much more random and irregular than I assumed when opening this bug report initially, but nevertheless there appears to be some sort of problem/bug.
Comment 3 Jan Horak 2012-10-09 01:31:53 EDT
I see. This might also be caused by addons (if you have some installed). Try to run firefox in safe mode by command:
firefox -safe-mode
and check cpu usage again please.
Comment 4 moondrake 2012-12-22 08:14:49 EST
Sample problem here.

I just updated to f18/rawhide from f17, and it is vastly different wrt cpu use (same plugins and browsing habbits). It is in fact so bad that I am thinking about switching browsers (as my laptops T and battery use is horrible).

I have addblock and noscript installed, I would expect this would lower cpu use.

Will see if I can debug this some more
Comment 5 moondrake 2012-12-27 09:08:33 EST
It seems my own problems with firefox cpu where a (mostly?) a result of the new intel driver. Do not have the problem when I switch to the sna accel method, though that introduces some minor artefacts.
Comment 6 Fedora End Of Life 2013-07-03 18:57:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 21:13:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.